# ACE_Codeset_Registry Class Reference

`#include <Codeset_Registry.h>`

Collaboration diagram for ACE_Codeset_Registry:

[legend]
List of all members.

## Public Types

enum | { max_charsets_ = 5 }

## Static Public Member Functions

int | locale_to_registry (const ACE_CString &locale, ACE_CDR::ULong &codeset_id, ACE_CDR::UShort *=0, ACE_CDR::UShort **=0)
int | registry_to_locale (ACE_CDR::ULong codeset_id, ACE_CString &locale, ACE_CDR::UShort *=0, ACE_CDR::UShort **=0)
int | is_compatible (ACE_CDR::ULong codeset_id, ACE_CDR::ULong other)
ACE_CDR::Short | get_max_bytes (ACE_CDR::ULong codeset_id)

## Static Private Member Functions

int | locale_to_registry_i (const ACE_CString &locale, ACE_CDR::ULong &codeset_id, ACE_CDR::UShort *=0, ACE_CDR::UShort **=0)
int | registry_to_locale_i (ACE_CDR::ULong codeset_id, ACE_CString &locale, ACE_CDR::UShort *=0, ACE_CDR::UShort **=0)
int | is_compatible_i (ACE_CDR::ULong codeset_id, ACE_CDR::ULong other)
ACE_CDR::Short | get_max_bytes_i (ACE_CDR::ULong codeset_id)

## Static Private Attributes

size_t const | num_registry_entries_ = 4
registry_entry const | registry_db_ []

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  max_charsets_ |

## Member Function Documentation

ACE_INLINE ACE_CDR::Short ACE_Codeset_Registry::get_max_bytes | ( | ACE_CDR::ULong | codeset_id | ) | `[static]`

| Return the max number of bytes required to represent a single character. This wraps the rpc_rgy_get_max_bytes function.

ACE_CDR::Short ACE_Codeset_Registry::get_max_bytes_i | ( | ACE_CDR::ULong | codeset_id | ) | `[static, private]`

ACE_INLINE int ACE_Codeset_Registry::is_compatible | ( | ACE_CDR::ULong | codeset_id,
|  | ACE_CDR::ULong | other
| ) | `[static]`

| Tell if two codesets are compatible. This wraps the rpc_cs_char_set_compat_check function.

int ACE_Codeset_Registry::is_compatible_i | ( | ACE_CDR::ULong | codeset_id,
|  | ACE_CDR::ULong | other
| ) | `[static, private]`

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_Codeset_Registry::locale_to_registry | ( | const ACE_CString & | locale,
|  | ACE_CDR::ULong & | codeset_id,
|  | ACE_CDR::UShort * | = `0`,
|  | ACE_CDR::UShort ** | = `0`
| ) | `[static]`

| Based on a locale string, find the registry value and optional codeset collection. This wraps the dce_cs_loc_to_rgy function, or emulates it.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL int ACE_Codeset_Registry::locale_to_registry_i | ( | const ACE_CString & | locale,
|  | ACE_CDR::ULong & | codeset_id,
|  | ACE_CDR::UShort * | = `0`,
|  | ACE_CDR::UShort ** | = `0`
| ) | `[static, private]`

ACE_INLINE int ACE_Codeset_Registry::registry_to_locale | ( | ACE_CDR::ULong | codeset_id,
|  | ACE_CString & | locale,
|  | ACE_CDR::UShort * | = `0`,
|  | ACE_CDR::UShort ** | = `0`
| ) | `[static]`

| Based on a registry value, find the locale string and optional codeset collection. This wraps the dce_cs_rgy_to_loc function, or emulates it.

int ACE_Codeset_Registry::registry_to_locale_i | ( | ACE_CDR::ULong | codeset_id,
|  | ACE_CString & | locale,
|  | ACE_CDR::UShort * | = `0`,
|  | ACE_CDR::UShort ** | = `0`
| ) | `[static, private]`

## Member Data Documentation

size_t const ACE_Codeset_Registry::num_registry_entries_ = 4`[static, private]`

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Codeset_Registry::registry_entry const ACE_Codeset_Registry::registry_db_`[static, private]`

Initial value:

    {
      {"ISO 8859-1:1987; Latin Alphabet No. 1","ASCII",0x00010001,1,{0x0011},1},
      {"IBM-1047 (CCSID 01047); Latin-1 Open System","EBCDIC",0x10020417,1,{0x0011},1},
      {"ISO/IEC 10646-1:1993; UCS-4, Level 1","UCS-4",0x00010104,1,{0x1000},4},
      {"ISO/IEC 10646-1:1993; UTF-16, UCS Transformation Format 16-bit form","Unicode",0x00010109,1,{0x1000},2}
    }

The documentation for this class was generated from the following files:

- Codeset_Registry.h
- Codeset_Registry.cpp
- Codeset_Registry.inl
- Codeset_Registry_db.cpp